package com.ssj.service.conch.teacher.library.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author yrf
 * @description
 * @time 2019/10/31 10:56
 */
public class TypicalWrongQuestionDTO implements Serializable {

    private static final long serialVersionUID = 1705136137026630612L;

    private String questionId;
    private String bookName;
    private String unit;
    private String period;
    private String bigIndex;
    private String smallIndex;
    private double difficultyDegree;
    private int type;
    private int errorRate;
    private int studentCount;
    private List<KnowledgeDTO> knowledgeList;

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getPeriod() {
        return period;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public String getBigIndex() {
        return bigIndex;
    }

    public void setBigIndex(String bigIndex) {
        this.bigIndex = bigIndex;
    }

    public String getSmallIndex() {
        if ("0".equals(smallIndex) || "(0)".equals(smallIndex)) {
            return "";
        }
        return smallIndex;
    }

    public void setSmallIndex(String smallIndex) {
        this.smallIndex = smallIndex;
    }

    public double getDifficultyDegree() {
        return difficultyDegree;
    }

    public void setDifficultyDegree(double difficultyDegree) {
        this.difficultyDegree = difficultyDegree;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getErrorRate() {
        return errorRate;
    }

    public void setErrorRate(int errorRate) {
        this.errorRate = errorRate;
    }

    public int getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(int studentCount) {
        this.studentCount = studentCount;
    }

    public List<KnowledgeDTO> getKnowledgeList() {
        return knowledgeList;
    }

    public void setKnowledgeList(List<KnowledgeDTO> knowledgeList) {
        this.knowledgeList = knowledgeList;
    }
}
